Page MenuHomePhabricator

[llvm-ar][test] Add to MRI test coverage
ClosedPublic

Authored by gbreynoo on Jun 12 2019, 6:11 AM.

Diff Detail

Repository
rL LLVM

Event Timeline

gbreynoo created this revision.Jun 12 2019, 6:11 AM
rupprecht accepted this revision.Jun 12 2019, 11:52 AM
This revision is now accepted and ready to land.Jun 12 2019, 11:52 AM
This revision was automatically updated to reflect the committed changes.
Herald added a project: Restricted Project. · View Herald TranscriptJun 13 2019, 12:43 AM

Reverted in 363239 due to buildbot test failure

jfb added a subscriber: jfb.Jul 3 2019, 1:48 PM

I reverted in 365084 because it failed greendragon. Please fix.

Script:
--
: 'RUN: at line 3';   rm -rf /Users/buildslave/jenkins/workspace/clang-stage1-cmake-RA-incremental/clang-build/test/tools/llvm-ar/Output/mri-utf8.test.tmp && mkdir -p /Users/buildslave/jenkins/workspace/clang-stage1-cmake-RA-incremental/clang-build/test/tools/llvm-ar/Output/mri-utf8.test.tmp/extracted
: 'RUN: at line 5';   echo "contents" > /Users/buildslave/jenkins/workspace/clang-stage1-cmake-RA-incremental/clang-build/test/tools/llvm-ar/Output/mri-utf8.test.tmp/£.txt
: 'RUN: at line 7';   echo "CREATE /Users/buildslave/jenkins/workspace/clang-stage1-cmake-RA-incremental/clang-build/test/tools/llvm-ar/Output/mri-utf8.test.tmp/mri.ar" > /Users/buildslave/jenkins/workspace/clang-stage1-cmake-RA-incremental/clang-build/test/tools/llvm-ar/Output/mri-utf8.test.tmp/script.mri
: 'RUN: at line 8';   echo "ADDMOD /Users/buildslave/jenkins/workspace/clang-stage1-cmake-RA-incremental/clang-build/test/tools/llvm-ar/Output/mri-utf8.test.tmp/£.txt" >> /Users/buildslave/jenkins/workspace/clang-stage1-cmake-RA-incremental/clang-build/test/tools/llvm-ar/Output/mri-utf8.test.tmp/script.mri
: 'RUN: at line 9';   echo "SAVE" >> /Users/buildslave/jenkins/workspace/clang-stage1-cmake-RA-incremental/clang-build/test/tools/llvm-ar/Output/mri-utf8.test.tmp/script.mri
: 'RUN: at line 11';   /Users/buildslave/jenkins/workspace/clang-stage1-cmake-RA-incremental/clang-build/bin/llvm-ar -M < /Users/buildslave/jenkins/workspace/clang-stage1-cmake-RA-incremental/clang-build/test/tools/llvm-ar/Output/mri-utf8.test.tmp/script.mri
: 'RUN: at line 12';   cd /Users/buildslave/jenkins/workspace/clang-stage1-cmake-RA-incremental/clang-build/test/tools/llvm-ar/Output/mri-utf8.test.tmp/extracted && /Users/buildslave/jenkins/workspace/clang-stage1-cmake-RA-incremental/clang-build/bin/llvm-ar x /Users/buildslave/jenkins/workspace/clang-stage1-cmake-RA-incremental/clang-build/test/tools/llvm-ar/Output/mri-utf8.test.tmp/mri.ar
: 'RUN: at line 18';   env LANG=en_US.UTF-8 "/usr/local/opt/python@2/bin/python2.7" -c "assert open(u'\U000000A3.txt', 'rb').read() == b'contents\n'"
--
Exit Code: 1

Command Output (stderr):
--
Traceback (most recent call last):
  File "<string>", line 1, in <module>
AssertionError

--

I believe the test failure is based on an issue with output, specific to the darwin format:

https://bugs.llvm.org/show_bug.cgi?id=42562

Simmilar to D63935, I could make this test XFAIL: darwin or explicitly call llvm-ar with --format=gnu. I'm not sure what which would be preferable.